dvb_table_pat_program Struct Reference
Digital TV table parsing

MPEG-TS PAT program table. More...

`#include <pat.h>`

## Data Fields

uint16_t | service_id
union { |
uint16_t bitfield |
struct { |
uint16_t pid:13 |
uint8_t reserved:3 |
} |
}; |
struct dvb_table_pat_program * | next

## Detailed Description

MPEG-TS PAT program table.

Parameters

  service_id | service id
  pid | pid
  next | pointer to struct dvb_table_pat_program

This structure is used to store the original PAT program table, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after dvb_table_pat_program::next (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 77 of file pat.h.

## Field Documentation

## [union]

union { ... } dvb_table_pat_program

## bitfield

uint16_t dvb_table_pat_program::bitfield

Definition at line 80 of file pat.h.

## next

struct dvb_table_pat_program* dvb_table_pat_program::next

Definition at line 86 of file pat.h.

## pid

uint16_t dvb_table_pat_program::pid

Definition at line 82 of file pat.h.

## reserved

uint8_t dvb_table_pat_program::reserved

Definition at line 83 of file pat.h.

## service_id

uint16_t dvb_table_pat_program::service_id

Definition at line 78 of file pat.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/pat.h